const points = [
  {a: 0, r: 80},
  {a: Math.PI * 0.25, r: 80},
  {a: Math.PI * 0.5, r: 30},
  {a: Math.PI * 0.75, r: 80},
  {a: 0, r: 80},
  {a: Math.PI * 0.25, r: 80},
  {a: Math.PI * 0.5, r: 30},
  {a: Math.PI * 0.75, r: 80},
];

const radialLineGenerator = d3.radialLine();

radialLineGenerator
	.angle(d => d.a)
	.radius(d => d.r)

d3.select('g')
	.append('path')
	.attr('fill', 'none')
  .attr('stroke', '#999')
	.attr('d', radialLineGenerator(points));
